<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li class="current"><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>tivx_event
: <a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event.h</a>
</li>
<li>tivx_ipc_handler_f
: <a class="el" href="group__group__tivx__ipc.html#gacc3aafc4391374132cd010e43c48fa14">tivx_ipc.h</a>
</li>
<li>tivx_mutex
: <a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex.h</a>
</li>
<li>tivx_reference_callback_f
: <a class="el" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">vx_reference.h</a>
</li>
<li>tivx_target
: <a class="el" href="tivx__target_8h.html#ae387c0cdeac5b0aa7ae6f78a6d1cb599">tivx_target.h</a>
</li>
<li>tivx_target_kernel
: <a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel.h</a>
</li>
<li>tivx_target_kernel_f
: <a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel.h</a>
</li>
<li>tivx_target_kernel_instance
: <a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel.h</a>
</li>
<li>tivx_task_main_f
: <a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vx_action
: <a class="el" href="vx__types_8h.html#a80014c261e13aeff37fcd6b0c9ef0f2c">vx_types.h</a>
</li>
<li>VX_API_CALL
: <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">vx_reference.h</a>
</li>
<li>vx_array
: <a class="el" href="vx__types_8h.html#ab1f0193f8a470dd2fe10de539a533697">vx_types.h</a>
</li>
<li>vx_bitfield
: <a class="el" href="vx__types_8h.html#a7cfe36a8cdb2b0a0df6e2541d42b7765">vx_types.h</a>
</li>
<li>vx_char
: <a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_types.h</a>
</li>
<li>vx_context
: <a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_types.h</a>
</li>
<li>vx_convolution
: <a class="el" href="vx__types_8h.html#a03700378868a539a20db1f3302ceb4bc">vx_types.h</a>
</li>
<li>vx_delay
: <a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_types.h</a>
</li>
<li>vx_df_image
: <a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_types.h</a>
</li>
<li>vx_distribution
: <a class="el" href="vx__types_8h.html#ae8e4d674e49a53c20b3ecd5ad80387bb">vx_types.h</a>
</li>
<li>vx_enum
: <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_types.h</a>
</li>
<li>vx_float32
: <a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_types.h</a>
</li>
<li>vx_float64
: <a class="el" href="vx__types_8h.html#a3718da3659bf64bccb45830294edc59e">vx_types.h</a>
</li>
<li>vx_graph
: <a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_types.h</a>
</li>
<li>vx_image
: <a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_types.h</a>
</li>
<li>vx_int16
: <a class="el" href="vx__types_8h.html#a26c6ff9283467866f2640bceba3341f4">vx_types.h</a>
</li>
<li>vx_int32
: <a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_types.h</a>
</li>
<li>vx_int64
: <a class="el" href="vx__types_8h.html#ae1aa1cc6d0a77ddc362add072ef6a9b2">vx_types.h</a>
</li>
<li>vx_int8
: <a class="el" href="vx__types_8h.html#a4bb9840db3fea374224e831b2d3d868a">vx_types.h</a>
</li>
<li>vx_kernel
: <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_types.h</a>
</li>
<li>vx_kernel_deinitialize_f
: <a class="el" href="vx__types_8h.html#a5e86f87af69c68e3066c4b745498048c">vx_types.h</a>
</li>
<li>vx_kernel_f
: <a class="el" href="vx__types_8h.html#a970c28a9c06c23c8567229d50ab341dc">vx_types.h</a>
</li>
<li>vx_kernel_image_valid_rectangle_f
: <a class="el" href="vx__types_8h.html#a107c762598d0640a0a1fc140f21b1b25">vx_types.h</a>
</li>
<li>vx_kernel_initialize_f
: <a class="el" href="vx__types_8h.html#a512f8da4d07b02aa9827c5d6f1af0b26">vx_types.h</a>
</li>
<li>vx_kernel_validate_f
: <a class="el" href="vx__types_8h.html#a69cfdc6762850b1afdffcdbebaab8eb9">vx_types.h</a>
</li>
<li>vx_log_callback_f
: <a class="el" href="vx__types_8h.html#a1cb5484ed26e0f08d33427d6f68abd3a">vx_types.h</a>
</li>
<li>vx_lut
: <a class="el" href="vx__types_8h.html#a575a2ddce2162b9ac214ca31c0981e3e">vx_types.h</a>
</li>
<li>vx_map_id
: <a class="el" href="vx__types_8h.html#a8fd401775d041066460dac11fef36abe">vx_types.h</a>
</li>
<li>vx_matrix
: <a class="el" href="vx__types_8h.html#a58694f635229a5e16823013ac75396f4">vx_types.h</a>
</li>
<li>vx_meta_format
: <a class="el" href="vx__types_8h.html#abfa72c9eff71470a4c96e3cab7dbe838">vx_types.h</a>
</li>
<li>vx_node
: <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_types.h</a>
</li>
<li>vx_nodecomplete_f
: <a class="el" href="vx__types_8h.html#a7f33f2fa408e270f690d800d117328f3">vx_types.h</a>
</li>
<li>vx_object_array
: <a class="el" href="vx__types_8h.html#a31a0de03c8cbf474afab6efb7bcffddb">vx_types.h</a>
</li>
<li>vx_parameter
: <a class="el" href="vx__types_8h.html#a35fab5fdbef16e118146d667cd98cc4d">vx_types.h</a>
</li>
<li>vx_publish_kernels_f
: <a class="el" href="vx__types_8h.html#a3d14bc552df0c0dc582ec082310c2fd8">vx_types.h</a>
</li>
<li>vx_pyramid
: <a class="el" href="vx__types_8h.html#ad9e43dc4026a9593d63e3e9881b9c4d9">vx_types.h</a>
</li>
<li>vx_reference
: <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_types.h</a>
</li>
<li>vx_remap
: <a class="el" href="vx__types_8h.html#a4738486c2a18ba154fdc1ca154ed7325">vx_types.h</a>
</li>
<li>vx_scalar
: <a class="el" href="vx__types_8h.html#a1bf12c9f0e72ed39970212b04148788d">vx_types.h</a>
</li>
<li>vx_size
: <a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_types.h</a>
</li>
<li>vx_status
: <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_types.h</a>
</li>
<li>vx_threshold
: <a class="el" href="vx__types_8h.html#a264c4cd16ce3d3c12462217c30877004">vx_types.h</a>
</li>
<li>vx_uint16
: <a class="el" href="vx__types_8h.html#a23fad3d6af10532a44a2d497b7a9e6eb">vx_types.h</a>
</li>
<li>vx_uint32
: <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_types.h</a>
</li>
<li>vx_uint64
: <a class="el" href="vx__types_8h.html#aa92272cf1c97ed31a638fa7e6b0f4826">vx_types.h</a>
</li>
<li>vx_uint8
: <a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_types.h</a>
</li>
<li>vx_unpublish_kernels_f
: <a class="el" href="vx__types_8h.html#a939c334c93669e3754b671381eab5042">vx_types.h</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
